Answer from Joerg regarding 6-100:For
the brown field engineering, as well as
for discussions about IED specification,
the understanding of SSD and SCD file
needs to be clarified. These files are not
defined by their content, but by their role
in the Engineering process.Some
examples: «[JA Utility delivers as part of a
specification an SCL file with only a
Substation Section, even no Data Types:
This is an SSD-[ The System Integrator
is lazy and returns a file with only “as
built” IEDs, Data Types and
Communication Section: This is an SCDs
A Utility adds a new bay to an existing
SCD (brown field). And uses this as
specification for the extension of the
existing station: This is an SSD-A Utility
creates a specification with Substation
Section and Virtual IEDs. The Virtual
IEDs are completely engineered
(GOOSE, Reports, etc.) : This is an
SSD-[IThe System Integrator return an
identical file, but “as built”: This is an
SCDUp to now (SCL ED2 )the user has
to know the meaning of the file. It cannot
be derived from the content. 6-100
however is adding some semantics to
the File:*JAn SCL file can have a GUID
and a Semantic Version+[]An SCD can
have a reference to the SSD that it
implements[]Each IED in an SCD can
have olla reference to the ISD file, that
was specifying itolla reference to the
ICD, IID or CID file it is based on-lEach
virtual IED in an SSD can reference the
ISD file it was specified with.
Description

The engineering-processen is well defined for a green field / new IEC 61850 substation but needs clarification for refurbishment and
extensions. In a green field project Vattefall starts by defining the SSD and hands it over to supplier as part of the bid for tender.
Clarification of the process for an existing substation is required. Here utility needs to start by extending or modifying an existing SCD
substation from original supplier. How are the modified parts of substation section handled? Can a SSD be created that maintains
links to existing communication and IED structures, into which a new supplier can continue work? (61850-6:2009 clause 10 needs to
define also "specification tool" besides system configurator. Can data flow engineering rights and SED files that be used for this use
case?)

History

#1 - 02/11/2021 07:59 AM - Vladan Cvejic

- Subject changed from The engineering-processen is well defined for a green field / new IEC 61850 substation but needs clarification for
refurbishment to The engineering-process is well defined for a green field / new IEC 61850 substation but needs clarification for refurbishment

- Status changed from New to In Progress
- Standard(s) set to IEC 61850-6 (-100)

- WG10 Proposal changed from Answer from Joerg regarding 6-100:
For the brown field engineering, as well as for discussions about IED specification, the understanding of SSD and SCD file needs to be clarified. These
files are not defined by their content, but by their role in the Engineering process.

Some examples:

<] A Utility delivers as part of a specification an SCL file with only a Substation Section, even no Data Types: This is an SSD

<l The System Integrator is lazy and returns a file with only “as built” IEDs, Data Types and Communication Section: This is an SCD

<1 A Utility adds a new bay to an existing SCD (brown field). And uses this as specification for the extension of the existing station: This is an SSD

<] A Utility creates a specification with Substation Section and Virtual IEDs. The Virtual IEDs are completely engineered (GOOSE, Reports, etc.) : This
is an SSD

<1 The System Integrator return an identical file, but “as built”: This is an SCD

Up to now (SCL ED2 )the user has to know the meaning of the file. It cannot be derived from the content. 6-100 however is adding some semantics to
the File:

<l An SCL file can have a GUID and a Semantic Version

I An SCD can have a reference to the SSD that it implements

4l Each IED in an SCD can have

ol a reference to the ISD file, that was specifying it

ol a reference to the ICD, IID or CID file it is based on

<] Each virtual IED in an SSD can reference the ISD file it was specified with.

to Answer from Joerg regarding 6-100:For the brown field engineering, as well as for discussions about IED specification, the understanding of SSD
and SCD file needs to be clarified. These files are not defined by their content, but by their role in the Engineering process.Some examples: <1 A Utility
delivers as part of a specification an SCL file with only a Substation Section, even no Data Types: This is an SSD< The System Integrator is lazy and
returns a file with only “as built” IEDs, Data Types and Communication Section: This is an SCD< A Ultility adds a new bay to an existing SCD (brown
field). And uses this as specification for the extension of the existing station: This is an SSD4 A Ulility creates a specification with Substation Section
and Virtual IEDs. The Virtual IEDs are completely engineered (GOOSE, Reports, etc.) : This is an SSD4 The System Integrator return an identical file,
but “as built’: This is an SCDUp to now (SCL EDZ2 )the user has to know the meaning of the file. It cannot be derived from the content. 6-100 however
is adding some semantics to the File:q) An SCL file can have a GUID and a Semantic Version< An SCD can have a reference to the SSD that it
implements< Each IED in an SCD can have ol a reference to the ISD file, that was specifying itoll a reference to the ICD, IID or CID file it is based one
Each virtual IED in an SSD can reference the ISD file it was specified with.

- Discuss in Upcoming Meeting set to No

Checking done.

#2 - 12/05/2023 07:08 AM - Vladan Cvejic
- Discuss in Upcoming Meeting changed from No to Yes
- To discuss in WG10 set to No

- Needs More Information set to Yes

#3 - 12/05/2023 08:26 AM - Vladan Cvejic

- Status changed from In Progress to Resolved

- Discuss in Upcoming Meeting changed from Yes to No

- To discuss in WG10 changed from No to Yes

- Standard(s) changed from IEC 61850-6 (-100) to IEC 61850-4
- Assigned TF 61850-4 added

Most of the issues are resolved by 90-30 (old 6-100) but rest of the questions should be addressed by part 4 (Ed3).
Editor to be determined on the next WG10 meeting.
